import React, { Component } from 'react';
import './clearable-input.scss'
import classnames from 'classnames'

class ClearableInput extends Component {
    constructor(props) {
        super(props);
        this.state = {
            value: ''
        }
    }

    handleChange = (e) => {
        let {onChange} = this.props
        let val = e.target.value
        this.setState({value: val})
        onChange && onChange(val)
    }

    clearInput = () => {
        this.setState({value: ''})
    }

    render() {
        let {wrapperClass, inputClass, placeholder, type = 'text', onChange, icon, ...rest} = this.props
        let clearIconStyle = {
            display: this.state.value.length ? 'block' : 'none'
        }
        return (
            <div className={classnames('clearable-input-wrapper', wrapperClass)}>
                <input
                    type={type}
                    className={inputClass}
                    value={this.state.value}
                    onChange={this.handleChange}
                    placeholder={placeholder}
                    {...rest}
                />
                {icon}
                <i
                    className={'iconfont icondanseshixintubiao-3 clear'}
                    onClick={this.clearInput}
                    style={clearIconStyle}
                />
            </div>
        );
    }
}

export default ClearableInput;