import React, {Component} from 'react';
import './index.scss';
import {api} from '@/utils'

class LiveRoom extends Component {
    constructor(props) {
        super(props);
        this.state = {
            issubscribe: 0, // 是否预约
            toSubscribe: false,  // 点击预约之后，判断判断时候关注公众号，选择预约方式
            isfollow: false,  // 是否关注公众号
            step: 0, // 手机号预约还是公众号预约
            success: false  // 预约成功
        }
    }


    componentDidMount() {
     //   this.livePrepare(this.props.roomId,'',2,'')
    }

    // 直播间预约接口公共方法
    livePrepare=(room_id,type,source,mobile)=>{
        let data = {
            room_id: room_id, // 直播间id
            type: type,       // 1-为微信服务通知预约 2-为手机号预约
            source: source,   //  1-为微信内置浏览器 2-为wap（微信外
            mobile: mobile    // 手机号 当type为2时，该参数为必填
        };
        api.post('/m/live/prepare',data).then((res) => {
            /* status  0表示预约成功
                       1表示预约失败
                       2表示未关注服务号
                       3表示已预约
                       4表示手机号不能为空
            */
            if (res.data.code === 200) {
                if (res.data.data.status === 0){
                     alert(res.data.data.msg)
                     this.setState(status => ({
                         success: true,
                         toSubscribe: false
                     }));

                    // if (type === 1){
                    //     this.setState(status => ({
                    //         toSubscribe: true,
                    //         step: 2
                    //     }));
                    // } else {
                    //     this.setState(status => ({
                    //         success: true,
                    //         toSubscribe: false
                    //     }));
                   // }

                } else if (res.data.data.status === 1){
                    alert(res.data.data.msg)
                } else if (res.data.data.status === 2){
                    alert(res.data.data.msg)
                    this.setState(status => ({
                        toSubscribe: true,
                        step: 0,
                        isfollow: true
                    }));

                } else if (res.data.data.status === 3){
                    alert(res.data.data.msg)
                    this.setState(status => ({
                        issubscribe: 1,

                    }));
                } else if (res.data.data.status === 4){
                    alert(res.data.data.msg)
                } else {
                    alert(res.data.data.msg)
                    this.setState(status => ({
                        toSubscribe: true,
                        step: 0,
                        isfollow: false
                    }));
                }

            }
        })
    }
    // 关闭弹窗
    liveColse() {
        this.props.colseBox(false);
    }
    // 点击预约
    toSubscribe() {
        this.props.colseBox(false);
        this.livePrepare(this.props.roomId,'',2,'')
    }
    // 手机号预约
    iphoneStep() {
        this.setState(status => ({
            step: 1
        }));
    }
    // 服务号预约
    serverStep() {
        this.livePrepare(this.props.roomId,1,2,'')
    }
    // 最后提交
    submit() {
        if (this.state.step === 1) {
            this.livePrepare(this.props.roomId, 2, 2, '17600765352')
        }
        if (this.state.step === 2) {
            this.livePrepare(this.props.roomId, 1, 1, '')
        }
    }
    // 取消预约 关闭弹窗
    subscribeColse() {
        this.setState(status => ({
            toSubscribe: false,
            step: 0
        }));
    }


    render() {
        return (
            <div className='index-box'>
                {/* 直播间预约 */}

                {
                    this.props.isShow === true &&

                    <div className='live-room-box'>
                        <div className='live-room-content'>
                            <div className='course-banner'>
                                <div className='left'><span></span></div>
                                <div className='center'><img
                                    src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                                    alt=""/></div>
                                <div className='right'><span></span></div>
                            </div>
                            <div className='course-dec'>
                                <h2 className='title'>第四课：概率论算法精透</h2>
                                <p className='teacher'>讲师：林奔</p>
                                <p className='time'>时间：明晚20:00—22:00</p>
                            </div>
                            <div className='course-info'>
                                <ul>
                                    <li>简介：</li>
                                    <li className='text-overflow-2'>
                                        知识点1：图的定义 (有向图，无向图)定义四行。
                                    </li>
                                    <li className='text-overflow-2'>
                                        知识点2：拓扑排序实战项目：最短路（Floyd，Dijkstra，Bellmanford）。
                                    </li>
                                </ul>
                            </div>
                            <div className='course-subscribe'>
                                {
                                    this.state.issubscribe === 0 &&
                                    <button onClick={this.toSubscribe.bind(this)}>预约</button>
                                }
                                {
                                    this.state.issubscribe === 1 &&
                                    <span>直播尚未开始，敬请期待...</span>
                                }
                            </div>
                        </div>
                        <div className='live-room-close'>
                            <i onClick={this.liveColse.bind(this)} className={'iconfont iconiconfront-2 close'}></i>
                        </div>
                    </div>
                }
                {
                    this.state.toSubscribe === true &&
                    <div className='subscribe-box'>
                        {this.state.step === 0 &&
                        <div>
                            <div className='close-subscribe' onClick={this.subscribeColse.bind(this)}></div>
                            <div className='subscribe-content'>
                                <span className='title'>请选择即将直播时通知您的方式</span>
                                <button className={this.state.isfollow ? 'follow' : 'nofollow'}
                                        onClick={this.serverStep.bind(this)}>微信服务号通知
                                </button>
                                {
                                    this.state.isfollow === true &&
                                    <span className='tips'>关注服务号即代表预约成功</span>

                                }
                                <button className={this.state.isfollow ? 'follow' : 'nofollow'}
                                        onClick={this.iphoneStep.bind(this)}>手机短信通知
                                </button>
                            </div>
                        </div>
                        }
                        {this.state.step === 1 &&
                        <div>
                            <div className='close-subscribe' onClick={this.subscribeColse.bind(this)}></div>
                            <div className='iphone-content'>
                                <span className='title'>预约</span>
                                <p className='dec'>直播前会通过手机短信通知您，您可通过预留的手机号快捷登录参与学习：</p>
                                <input type="text" placeholder='请输入手机号'/>
                                <button className='submit' onClick={this.submit.bind(this)}>预约</button>
                            </div>
                        </div>
                        }
                        {this.state.step === 2 &&
                        <div>
                            <div className='close-subscribe' onClick={this.subscribeColse.bind(this)}></div>
                            <div className='iphone-content server-content'>
                                <p className='title'><i
                                    className={'iconfont icondanseshixintubiao-5'}></i><span>预约成功</span></p>
                                <p className='dec'>直播开始前会通过微信“服务通知”提醒您。 推荐预留手机号，届时可通过手机号登录直播 间直接学习：</p>
                                <input type="text" placeholder='请输入手机号'/>
                                <button className='submit' onClick={this.submit.bind(this)}>提交</button>
                            </div>
                        </div>
                        }
                    </div>
                }
                {
                    this.state.success === true &&
                    <div className='success'>预约成功</div>
                }
            </div>
        );
    }

}


export default LiveRoom;



