import React, {Component} from 'react';
import {WithTab} from '@/HOCs'
import './index.scss';

class Classify extends Component {
    state = {
        dataList: [
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Spark大数据',
                'teacher': 'wwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '机器学习',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': 'Linux',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 0,
                'price0': 100,
                'price1': 1000
            },
            {
                'src': 'http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png',
                'title': '数学',
                'teacher': 'wwwwww',
                'time': '2343234',
                'isbuy': 1,
                'price0': 200,
                'price1': 2000
            }
        ]
    }
    render() {
        return (
            <div className='class-box'>
                <div className="class-title">分类</div>
                <ClassCourseBox data={this.state.dataList} title={'集训营'} type={1}/>
                <ClassCourseBox data={this.state.dataList} title={'就业班'} type={1}/>
                <ClassCourseBox data={this.state.dataList} title={'基础入门'} type={2}/>
                <ClassCourseBox data={this.state.dataList} title={'进阶提高'} type={2}/>
                <div className="vip">
                    <a href="/#">
                        <img src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png" alt=""/>
                    </a>
                </div>
            </div>
        )
    }
}

function ClassCourseA({data}) {
    return(
        <div className='items-box'>
            {
                data.map((item,index)=>{
                    return (
                        <a href="/courselist" key={index} className='item-banner'><img
                            src={item.src}
                            alt=""/></a>
                    )
                })
            }
        </div>
    )
}

function ClassCourseB({data}) {
    return(
        <div className='items-box'>
            {
                data.map((item,index)=>{
                    return (
                        <a href="/#" key={index} className='item-label'>{item.title}</a>
                    )
                })
            }
        </div>
    )
}

function ClassCourseBox({data,title,type}) {
    return(
        <div className="class-course">
            <p className='course-items-title'><img
                src="http://julyedu-img-public.oss-cn-beijing.aliyuncs.com/Public/Image/home/5afe433d01.png"
                alt=""/>{title}</p>
            { type === 1 &&
            <ClassCourseA data={data}/>
            }
            { type === 2 &&
            <ClassCourseB data={data}/>
            }
        </div>
    )
}
export default WithTab(Classify);
