import React, { Component } from 'react'
import './coupon.scss'
import classnames from 'classnames'

class Coupon extends Component {

    pick = () => {
        let {purpose, select, invalid} = this.props
        purpose === 'use' && !invalid && select && select(this.props.index)
    }

    GoToUse = () => {
        this.props.toUse(this.props.index)
    }

    render() {
        let {
            type,
            couponName,
            denomination,
            expire_time,
            limit,
            selected,
            index,
            invalid,
            purpose
        } = this.props

        return (
            <li className='coupon' onClick={this.pick}>
                <div className={classnames('coupon-info', invalid ? 'invalid' : `coupon-type${type}`)}>
                    <p className='type'>{couponName}</p>
                    <p className='denomination'>{denomination} <span>元</span></p>
                    <p className='expire'>有效期至：{expire_time}</p>
                    {
                        purpose === 'use' &&
                        <i className={classnames('iconfont icondanseshixintubiao-5', {
                            check: (selected !== undefined && !invalid) && (selected === index)
                        })}
                        />
                    }
                    <ul>
                        {
                            new Array(19).fill('a').map((item, index) => {
                                return <li key={index}></li>
                            })
                        }
                    </ul>
                </div>
                <div className="coupon-des">
                    <span className='limit'>{limit}</span>
                    {
                        purpose === 'exchange' &&
                        <button
                            className='use'
                            onClick={this.GoToUse}
                        >立即使用
                        </button>
                    }

                </div>
            </li>
        );
    }
}

export default Coupon