import React, { Component } from "react"
import './accountLogin.scss'
import { Link } from "react-router-dom";
import { withFormik, FastField, Form } from "formik";


import Header from "../common/Header";
import Input from '../common/Input'
import LoginButton from '../common/LoginButton'
import PasswordInput from '../common/passwordInput'
// import VeriCodeButton from '../common/veriCodeInput'
// import LoginWays from '../common/LoginWays'


class AccountLogin extends Component {

    render() {
        return (
            <div className={'account-login'}>
                <Header/>
                <Form className="login-info">
                    <FastField
                        name='account'
                        render={({field}) => (
                            <Input
                                {...field}
                                type={'number'}
                                placeholder={'手机/邮箱/昵称'}
                                wrapperClass={'tel-input'}
                                icon={
                                    <i className={'iconfont iconshouji'}
                                       style={{fontSize: '22px', left: '10px'}}
                                    />
                                }
                            />
                        )}
                    />
                    <FastField
                        name='password'
                        render={({field}) => (
                            <PasswordInput
                                {...field}
                                placeholder={'密码'}
                            />
                        )}
                    />
                    <LoginButton/>
                    <Link className={'forgot-password-btn'} to='/passport/forgot-password'>忘记密码</Link>
                </Form>
                {/*<LoginWays loginWays={this.props.loginWays}/>*/}
            </div>
        );
    }
}

const formikConfig = {
    mapPropsToValues: () => ({
        account: '',
        password: ''
    }),
    handleSubmit(values) {
        console.log(values)
    }
}
export default withFormik(formikConfig)(AccountLogin)
