import React, { Component } from 'react'
import { Route, Switch } from 'react-router-dom'

import './passport.scss'
import {WithFullSize} from '@/HOCs'
import WechatLogin from './wechatLogin'
import AccountLogin from './accountLogin'
import ForgotPassword from './forgotPassword'
import SetPassword from './setPassword'
import BindingTel from './bindingTel'

import account from './account.png'
import qq from './qq.png'
import sina from './sina.png'
import wechat from './wechat.png'


class Passport extends Component {

    constructor(props) {
        super(props);
        this.state = {
            loginWays: [
                {
                    logo: account,
                    text: '账号登录'
                },
                {
                    logo: wechat,
                    text: '微信'
                },
                {
                    logo: qq,
                    text: 'QQ'
                },
                {
                    logo: sina,
                    text: '新浪'
                },
            ]
        }
    }

    render() {
        let {match} = this.props
        return (
            <div className="passport">
                <Switch>
                    <Route path={match.url + '/wechat-login'}
                           render={() => <WechatLogin loginWays={this.state.loginWays}/>}/>
                    <Route path={match.url + '/account-login'} component={AccountLogin}/>
                    <Route path={match.url + '/forgot-password'} component={ForgotPassword}/>
                    <Route path={match.url + '/set-password'} component={SetPassword}/>
                    <Route path={match.url + '/binding-tel'} component={BindingTel}/>
                </Switch>
            </div>
        )
    }
}


export default WithFullSize(Passport)