import React, {Component} from 'react'
import {VList} from '../../common'
import {Tabs, WhiteSpace, SearchBar} from 'antd-mobile'
import './index.scss'
import {api} from "@/utils"

class Preferential extends Component {
    constructor(props) {
        super(props)
        this.state = {
            dataList: [],
            courseStatus: 0,
        }
    }

    componentDidMount() {
        this.specialSale()
    }

    // 限时特惠
    specialSale=()=>{
        api.get('/m/home/weekDiscounts').then((res) => {
            if (res.data.code === 200) {
                this.setState({
                    dataList: res.data.data
                })
            }
        })
    }
    // 砍价专区
    bargain=()=>{
        api.get('/m/home/bargainZone').then((res) => {
            if (res.data.code === 200) {
                this.setState({
                    dataList: res.data.data
                })
            }
        })
    }
    // 一键拼团
    group=()=>{
        api.get('/m/home/grouponList').then((res) => {
            if (res.data.code === 200) {
                this.setState({
                    dataList: res.data.data
                })
            }
        })
    }
    // tab 切换
    ontabclick=(tab, index)=> {
        console.log(tab, index)
        this.state.courseStatus = index
        switch(index) {
            case 0:
                this.specialSale()
                break
            case 1:
                this.bargain()
                break
            default:
                this.group()
        }
    }

    handleClick=(courseId)=>{
        console.log(courseId)
    }

    toSearch() {
        window.location.href ='/search'
    }
    return() {
        window.location.href ='/index'
    }

    render() {
        const tabs = [
            {title: '限时特惠'},
            {title: '砍价专区'},
            {title: '一键拼团'}
        ]
        return (
            <div className='preferential'>
                <div className="search-nav">
                    <i className={'iconfont iconiconfront-68 return'} onClick={this.return.bind(this)}></i>
                    <SearchBar
                        placeholder="搜索课程"
                        cancelText={" "}
                        onFocus={this.toSearch.bind(this)}
                        showCancelButton={false}
                    />
                    <i className={'iconfont icongouwuche shopping-cart'}></i>
                </div>
                <div className='class-content'>
                    <WhiteSpace/>

                    <Tabs
                        tabs={tabs}
                        animated={false}
                        onChange={(tab, index) => this.ontabclick(tab, index)}
                    >
                        <div className='tabs'>
                            <ul>
                                {this.state.dataList.map((item, index) => {
                                    const Info = (
                                        <div className="info">
                                            <p className='title'>{item.course_title}</p>
                                            <p className='contact text-overflow-2'>{item. course_desc}</p>
                                            <div className='des'>
                                                {item.is_buy &&
                                                <p className="course-price">
                                                    {this.state.courseStatus === 0 &&
                                                     <span className='price'>特惠价：</span>
                                                    }
                                                    <span className="new">¥{item.price2}</span>
                                                    <span className="old">¥{item.price1}</span>
                                                </p>
                                                }
                                                {!item.is_buy &&
                                                <a href="/#" className="isbuy">已购买</a>
                                                }
                                            </div>
                                        </div>
                                    )
                                    const status = (
                                        <div>
                                            {this.state.courseStatus === 1 &&
                                            <p className='course-status'>砍价减{item.price2}元</p>
                                            }
                                            {this.state.courseStatus === 2 &&
                                            <p className='course-status'>拼团减{item.price}元</p>
                                            }
                                        </div>
                                    )
                                    return (
                                        <VList handleClick={this.handleClick} key={index} img={item.image_name} id={item.course_id} status={status}
                                               info={Info}></VList>
                                    )
                                })}
                            </ul>
                        </div>
                    </Tabs>
                    <WhiteSpace/>
                </div>
            </div>
        )
    }

}

export default Preferential
